Subject: Re: [PATCH 5/5] PCI fixes for the MPC8641 Rev 2.0 silicon and Rev 1.02hardware

From: Scott Wood <[email-masked]>
Date: Fri, 18 May 2007 14:09:25 -0500

Jon Loeliger wrote:
> On Fri, 2007-05-18 at 13:23, Scott Wood wrote:
> 
>>Jon Loeliger wrote:
>>
>>>First of all, I wanted to get away from the notion of calling
>>>anything a "jumper".  What I said to you was to predicate the
>>>clause based on some arbitrary conditional, not just some "jumper
>>>setting."
>>
>>Yes, I like the "hwoption" name better.
> 
> 
> I think my point was missed.  It could be more general
> than "a hardware thing".  Sure, HW contributes.

What, other than hardware differences, would one conditionalize on?

>>No, we were pretty much always talking about a run-time thing.
> 
> 
> On he contrary, here are copies of two pieces of mail from
> roughly May 2006 and Feb 2007 in which CPP and M4 as _compiled_time_
> processing are being discussed.  In the latter, you discuss it more:.

That was a separate discussion for a separate purpose (reducing 
redundancy and duplication among dts files).  I was talking about the 
discussions I had with Timur about a month ago, to which you responded 
with the conditional suggestion.

-Scott